%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 39 x86_64 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.9.1
%define REL 5
Release:	%{REL}

License:	GP5

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 39 x86_64-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Wed Dec 20 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-5
* Release 1.9.1-5
	Kernel modules were added for the following kernels:
		6.6.6-200
		6.6.4-200

* Wed Dec 06 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-4
* Release 1.9.1-4
	Kernel modules were added for the following kernels:
		6.6.3-200

* Wed Nov 29 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-3
* Release 1.9.1-3
	Kernel modules were added for the following kernels:
		6.6.2-201

* Wed Nov 22 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-2
* Release 1.9.1-2
	Kernel modules were added for the following kernels:
		6.5.12-300

* Wed Nov 15 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-1
* Release 1.9.1-1
	Initial release. Kernel modules were added for the following kernels:
		6.5.11
                6.5.10
                6.5.6
